<?php

lt_include(PLOG_CLASS_PATH.'class/view/admin/adminplugintemplatedview.class.php');

// implements the main view of the google adsense plugin
class PluginEmbedMediaConfigView extends AdminPluginTemplatedView
{
    function PluginEmbedMediaConfigView($blogInfo)
	{
		$this->AdminPluginTemplatedView($blogInfo, 'embedmedia', 'embedmedia');
	}

	function render()
	{
		// load some configuration settings
		$blogSettings = $this->_blogInfo->getSettings();
		$pluginEnabled = $blogSettings->getValue('plugin_embedmedia_enabled');
		$SRC = $blogSettings->getValue('plugin_embedmedia_SRC');
		$Auto = $blogSettings->getValue('plugin_embedmedia_Auto');
		$Loop = $blogSettings->getValue('plugin_embedmedia_Loop');
		$MusicName = $blogSettings->getValue('plugin_embedmedia_MusicName');
		$Vol = $blogSettings->getValue('plugin_embedmedia_Vol');
		$Width = $blogSettings->getValue('plugin_embedmedia_Width');
		$Height = $blogSettings->getValue('plugin_embedmedia_Height');
		$Hidden = $blogSettings->getValue('plugin_embedmedia_Hidden');

		// create a view and export the settings to the template
		$this->setValue('pluginEnabled', $pluginEnabled);
		$this->setValue('SRC', $SRC);
		$this->setValue('Auto', $Auto);
		$this->setValue('Loop', $Loop);
		$this->setValue('MusicName', $MusicName);
		$this->setValue('Vol', $Vol);
		$this->setValue('Width', $Width);
		$this->setValue('Height', $Height);
		$this->setValue('Hidden', $Hidden);

		parent::render();
	}
}

?>
